Bug 143817 - drm oopses on fijutsu siemens p7010 laptop
drm oopses on fijutsu siemens p7010 laptop
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-28 15:34 EST by Nicolai Langfeldt
Modified: 2015-01-04 17:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:44:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolai Langfeldt 2004-12-28 15:34:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
The kernel oopses when X tries to initialize drm. No accelerated GL is
available.

Version-Release number of selected component (if applicable):
kernel-2.6.9-1.667

How reproducible:
Always

Steps to Reproduce:
1. Load i810 and i830 kernel modules. Or only i830, both works the
same  Anaconda set up for i830 only. Some forums on intel graphics
mentioned that GL was accelerated with both modules loaded.
2. Configure X for GL
3. Run X
    

Actual Results:  No accelerated GL.  dmesg shows:

[drm] Initialized i830 1.3.2 20021108 on minor 0:
[drm] Initialized i830 1.3.2 20021108 on minor 1:
Bluetooth: BNEP (Ethernet Emulation) ver 1.2
Bluetooth: BNEP filters: protocol multicast
unloading Kernel Card Services
mtrr: base(0xd8020000) is not aligned on a size(0x600000) boundary
[drm:i830_dma_initialize] *ERROR* can not find dma buffer map!
[drm:i830_irq_emit] *ERROR* i830_irq_emit called without lock held
Unable to handle kernel NULL pointer dereference at virtual address
00000004
 printing eip:
2243c067
*pde = 00000000
Oops: 0000 [#1]
Modules linked in: bnep i830 i810 parport_pc lp parport rfcomm l2cap
bluetooth i
ptable_filter ip_tables dm_mod button battery ac md5 ipv6 ohci1394
ieee1394 uhci
_hcd ehci_hcd snd_intel8x0 snd_ac97_codec snd_pcm_oss snd_mixer_oss
snd_pcm snd_
timer snd_page_alloc gameport snd_mpu401_uart snd_rawmidi
snd_seq_device snd sou
ndcore 8139too mii ipw2200(U) ieee80211(U) ieee80211_crypt(U) ext3 jbd
CPU:    0
EIP:    0060:[<2243c067>]    Not tainted VLI
EFLAGS: 00213202   (2.6.9-1.667)
EIP is at i830_kernel_lost_context+0x7/0x59 [i830]
eax: 224452a0   ebx: 00000000   ecx: 22445abc   edx: 2243e074
esi: 224452a0   edi: 19062000   ebp: 00000000   esp: 19062efc
ds: 007b   es: 007b   ss: 0068
Process X (pid: 2659, threadinfo=19062000 task=197af8b0)
Stack: 00000000 2243d99d 19062000 224452a0 2243e079 22438a30 19589840
00000001
       0000000a 00000000 197af8b0 0211b919 00000000 00000000 00000000
00000000
       03472ac0 00000000 197af8b0 0211b919 00100100 00200200 19062f88
00000008
Call Trace:
 [<2243d99d>] i830_dma_quiescent+0xf/0x86 [i830]
 [<2243e079>] i830_driver_dma_quiescent+0x5/0x8 [i830]
 [<22438a30>] i830_lock+0x1f3/0x24e [i830]
 [<0211b919>] default_wake_function+0x0/0xc
 [<0211b919>] default_wake_function+0x0/0xc
 [<22438831>] i830_ioctl+0xe3/0xef [i830]
 [<2243883d>] i830_lock+0x0/0x24e [i830]
 [<0217a147>] sys_ioctl+0x296/0x337
 [<0212474f>] sys_gettimeofday+0x25/0x55
Code: <3>Debug: sleeping function called from invalid context at
include/linux/r
wsem.h:43

in_atomic():0[expected: 0], irqs_disabled():1
 [<0211c8b9>] __might_sleep+0x7d/0x88
 [<0215e27e>] rw_vm+0x216/0x482
 [<2243c03c>] i830_wait_ring+0xb5/0xd9 [i830]
 [<2243c03c>] i830_wait_ring+0xb5/0xd9 [i830]
 [<0215e9d0>] get_user_size+0x30/0x57
 [<2243c03c>] i830_wait_ring+0xb5/0xd9 [i830]
 [<0210682b>] show_registers+0x109/0x15e
 [<02106a2f>] die+0x14a/0x241
 [<0211937e>] do_page_fault+0x0/0x511
 [<0211937e>] do_page_fault+0x0/0x511
 [<02119733>] do_page_fault+0x3b5/0x511
 [<2243c067>] i830_kernel_lost_context+0x7/0x59 [i830]
 [<022fde73>] unix_stream_recvmsg+0x2f7/0x398
 [<022a1bf4>] sock_aio_read+0x10e/0x11c
 [<02219f55>] tty_ldisc_ref_wait+0xc/0x95
 [<0211937e>] do_page_fault+0x0/0x511
 [<2243e074>] i830_driver_dma_quiescent+0x0/0x8 [i830]
 [<2243c067>] i830_kernel_lost_context+0x7/0x59 [i830]
 [<2243d99d>] i830_dma_quiescent+0xf/0x86 [i830]
 [<2243e079>] i830_driver_dma_quiescent+0x5/0x8 [i830]
 [<22438a30>] i830_lock+0x1f3/0x24e [i830]
 [<0211b919>] default_wake_function+0x0/0xc
 [<0211b919>] default_wake_function+0x0/0xc
 [<22438831>] i830_ioctl+0xe3/0xef [i830]
 [<2243883d>] i830_lock+0x0/0x24e [i830]
 [<0217a147>] sys_ioctl+0x296/0x337
 [<0212474f>] sys_gettimeofday+0x25/0x55
 Bad EIP value.



Expected Results:  Faster GL :-)

Additional info:

# uname -a
Linux ganges 2.6.9-1.667 #1 Tue Nov 2 14:41:25 EST 2004 i686 i686 i386
GNU/Linux
root@ganges ~ # lsmod
Module                  Size  Used by
iptable_filter          2753  0
ip_tables              16193  1 iptable_filter
ipw2200               114316  0
ieee80211              28228  1 ipw2200
ieee80211_crypt         7044  1 ieee80211
bnep                   14529  0
i830                   83269  3
i810                   79685  0
parport_pc             24705  0
lp                     11565  0
parport                41737  2 parport_pc,lp
rfcomm                 36701  1
l2cap                  25285  6 bnep,rfcomm
bluetooth              46917  5 bnep,rfcomm,l2cap
dm_mod                 54741  0
button                  6481  0
battery                 8517  1
ac                      4805  0
md5                     4033  1
ipv6                  232577  10
ohci1394               35033  0
ieee1394              302869  1 ohci1394
uhci_hcd               31449  0
ehci_hcd               31557  0
snd_intel8x0           34829  1
snd_ac97_codec         64401  1 snd_intel8x0
snd_pcm_oss            47609  0
snd_mixer_oss          17217  1 snd_pcm_oss
snd_pcm                97993  2 snd_intel8x0,snd_pcm_oss
snd_timer              29765  1 snd_pcm
snd_page_alloc          9673  2 snd_intel8x0,snd_pcm
gameport                4801  1 snd_intel8x0
snd_mpu401_uart         8769  1 snd_intel8x0
snd_rawmidi            26725  1 snd_mpu401_uart
snd_seq_device          8137  1 snd_rawmidi
snd                    54053  11
snd_intel8x0,snd_ac97_codec,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer,snd_mpu401_uart,snd_rawmidi,snd_seq_device
soundcore               9889  1 snd
8139too                26305  0
mii                     4673  1 8139too
ext3                  116809  1
jbd                    74969  1 ext3


This kernel has intel centrino 2200BG version 0.19 wifi drivers loaded
but is otherwise a stock fedora kernel.

The Centrino modules are stable and there are no other ooopses on this
system.
Comment 1 Dave Jones 2005-07-15 16:03:14 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Dave Jones 2005-10-02 20:44:32 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.